body{
	background-color: lightgray;
}

#hb{
	float: left;
	width: 100%;
	height: 60px;
	background-color: white;
	box-shadow: 0 1px 5px rgba(255, 255, 255, 0.3);
	box-sizing: border-box;
	position:fixed;
}
#hb2{
	height: 60px;
	background-color: red;
}
#hb form{
	height: 100%;
}
.hbtn{
	height: 100%;
	padding: 0 15px;
	border: none;
	background-color: transparent;
	font-size: 16px;
	cursor: pointer;
}

.filter{
	height: 40px;
	width: 100%;
	background-color: lightgray;
	position:fixed;
	padding: 0 5px;
	box-sizing: border-box;
}
.filter2{
	height: 40px;
}
.filter table{
	width:100%;
	height:100%;
	border-collapse: collapse;
}
.filter input{
	width:100%;
	height:30px;
}

.rows{
	box-shadow: 0 0 1px black;
	padding: 10px;
	float: left;
	width: calc(100% - 10px);
	margin: 2px 5px;
	box-sizing: border-box;
	background-color: white;
}
.rows div table{
	width: 100%;
}
.rows div table td{
	vertical-align: top;
}
.rows button{
	margin-left: 5px;
	width: 100px;
	cursor: pointer;
	margin-bottom: 2px;
}

.rows .displaytext{
	resize: none;
	overflow: hidden;
	width:100%;
	box-sizing: border-box;
	font-size: 14px;
	border:1px solid lightgray;
	border-radius: 3px;
}

.rows input[type="text"],
.rows input[type="number"]{
	width:100%;
	border-radius: 3px;
}

.rows .smalltext{
	font-size: 14px;
}
.rows .g{
	color: green;
}
.rows .o{
	color: orange;
}
.rows .r{
	color: red;
}
.rows .b{
	color: blue;
}
.rows .almid{
	vertical-align: middle;
}

.bg-g{
	background-color: lightgreen;
}

.bg{
	position: fixed;
	width:100%;
	height:100%;
	top:0;
	background-color: rgba(0,0,0,0.5);
	z-index: 10;
}
.bg iframe{
	width:100%;
	height:calc(100% - 15px);
	border:none;
}